
#include <libxml/parser.h>
#include <libxml/tree.h>

#include "module1.h"
#include "module2.h"

void report_module2(void)
{
  xmlDocPtr doc = NULL;
  xmlNodePtr node = NULL;
  xmlChar *s = NULL;
  int size;


  doc = xmlNewDoc(BAD_CAST "1.0");
  node = xmlNewNode(NULL, BAD_CAST "message");
  xmlDocSetRootElement(doc, node);

  xmlNewProp(node, BAD_CAST "module", BAD_CAST "2");

  xmlDocDumpMemory(doc, & s, & size);
  if (s == NULL) {
      report_module("FAILED TO CREATE XML FOR Module2");
      return;
  }

  report_module(s);

  xmlFree(s);
  xmlFreeDoc(doc);
  xmlCleanupParser();
}
